# OutOfMem Specification Sheet

Portable Object Compiler (c) 2003. All Rights Reserved.

# OutOfMemory

Inherits from: Exception

Maturity Index: Experimental

## Class Description

This is a subclass to signal out of memory occurrences. Messages that create objects can signal this Exception to indicate that the operation failed due to a lack of resources.

The handler can be used as follows:

>         [[{ myObject=[Object new] } on:OutOfMemory do:{ :e | myObject=nil;}];

## Method types

## Methods